<div class="col-md-12"> 
    <div class="card"><!-- EVENT DETAILS -->
        <div class="card-header pb-0 p-3">
            <div class="d-flex align-items-center">
                <h5 class="mb-0 text-primary">Event Matches</h5>
                  <%if @event.match_player.count >= @event.people%>
                        <div class="dropdown ms-auto">
                            <button type="button" class="btn bg-gradient-primary dropdown-toggle" data-bs-toggle="dropdown" aria-expanded="false">
                              Action
                            </button>
                            <ul class="dropdown-menu px-2 py-3" aria-labelledby="dropdownMenuButton">
                              <li>
                                <% if @event.status.upcase != "CLOSED"%>                                
                                  <%= link_to(create_round_of_matches_path(@event), class: "dropdown-item") do %>
                                    <%if @event.mixed %>
                                      New round&nbsp;&nbsp;<i class="fa fa-plus-square"></i>
                                    <%else%>
                                      New full round&nbsp;&nbsp;<i class="fa fa-plus-square"></i>
                                    <%end%>
                                        
                                  <%end%>
                                <%else%>
                                  <%= link_to(events_path(@event), class: "dropdown-item") do %>
                                        Event list&nbsp;&nbsp;<i class="fa fa-list"></i>
                                  <%end%>
                                <%end%>
                              </li>
                              <li>
                                <% if @event.status.upcase != "CLOSED"%>
                                  <%= form_for @event, url: update_status_event_path, method: "patch"  do |f| %>
                                    <% if @event.errors.any? %>
                                        <div id="error_explanation">                            
                                          <h2><%= pluralize(@event.errors.count, "error") %> prohibited this event from being saved:</h2>
                                          <ul>
                                            <% @event.errors.full_messages.each do |msg| %>
                                                <li><%= msg %></li>
                                            <% end %>
                                          </ul>
                                        </div>
                                    <% end %>
                                    <%= f.hidden_field :status, :value => "Closed" %>                      
                                    <%= button_tag(type: 'submit', class: "dropdown-item", method: "patch") do %>
                                        Close Event&nbsp;&nbsp;<i class="fa fa-lock"></i>
                                    <% end %>
                        
                                  <% end %>
                                  
                                <%end%>
                              </li>
                            </ul>
                        </div>
                  <%elsif @event.status.upcase != "CLOSED"%>
                      <%= link_to(new_match_player_path(@event), class: "btn bg-gradient-primary ms-auto") do %>
                          <i class="fa fa-address-card-o"></i>&nbsp;&nbsp;Enroll player
                        <% end %> 
                  <%end%>
                  <%if @event.match_player.count < @event.people%>
                      <p class = "h3 text-warning">
                      There are <%=@event.match_player.count%>/<%=@event.people%> enrolled players. You can't create round of matches until the event is complete! </p>
                  <%end%>
                
            </div>            
        </div>
        <div class="card-body p-3">
            <div class="row">
                <div class="col-6">
                    <ul class="list-group">
                        <li class="list-group-item border-0 ps-0 pt-0 text-sm"><strong class="text-dark">Event Name:</strong> &nbsp; [<%=@event.id%>]&nbsp;<%=@event.name.titleize%>&nbsp;
                            <span class="badge badge-pill badge-lg bg-gradient-danger"><%="CLOSED" if @event.status.upcase == "CLOSED"%></span>
                        </li>
                        <li class="list-group-item border-0 ps-0 text-sm"><strong class="text-dark">Date:</strong> &nbsp; <%=local_time(@event.created_at, %"%d/%m/%Y") %> at <%=@event.timeIni.strftime("%H:%M")%> - <%=@event.timeEnd.strftime("%H:%M")%></li>
                        <li class="list-group-item border-0 ps-0 text-sm"><strong class="text-dark">Couples:</strong> &nbsp; <%=(@event.mixed? ? "MIXED":"FIXED" ) %>&nbsp;
                              <strong class="text-dark">Category:</strong>&nbsp; <%=@event.level%>
                        </li>
                        
                    </ul>
                </div>                
            </div>
        </div>
    </div>
    
    <div class="col-md-8">
        <br>
    </div>

    <div class="row">
          <div class="col-12">
            <div class="card mb-4">
              <div class="d-flex px-2 py-1">
              </div>
                
                
                
                
                <div class="card mb-4">
                  <div class="d-flex px-2 py-1">
                  </div>
                  <div class="card-header pb-0">
                    <div class="d-flex align-items-center">



                        <!-- TABS SECTION  -->

                        <div class="nav-wrapper position-relative end-0">
                          <ul class="nav nav-tabs" id="myTab" role="tablist">

                            <!-- We loop throughout the number of generated rounds-->
                            <%  @event.matches.select("round").group("round").sort_by{|m| m.round}.collect{|m| m.round}.each_with_index do |r, i| %>
                                <li class="<%= i == (@round.to_i - 1) ? ("active"):("") %>">
                                <li class="nav-item" role = "presentation">
                                <button class="nav-link <%= i == (@round.to_i - 1) ? ("active"):("") %>" id="tab-<%=r%>" data-bs-toggle="tab" data-bs-target="#tab-<%=r%>-pane" type="button" role="tab" aria-controls="tab-<%=r%>-pane" aria-selected="true">Round <%=r%></button>
                            <%end%>
                          </ul>
                          <div class="d-flex px-2 py-1"></div>
                          <div class="tab-content" id="myTabContent">
                            <%  @event.matches.select("round").group("round").sort_by{|m| m.round}.collect{|m| m.round}.each_with_index do |round, i| %>                            
                              <div class="tab-pane fade <%= i == (@round.to_i - 1) ? ("show active"):("") %> " id="tab-<%=round%>-pane" role="tabpanel" aria-labelledby="tab-<%=round%>" tabindex="0">
                                <div class="panel-body" id= "pn-tab-<%=round%>">
                                  <div class="card-header pb-0">
                                    <div class="d-flex align-items-center">
                                      <% if @event.status.upcase != "CLOSED"%>
                                        <%= link_to(matches_destroy_round_path(@event.id, round), data: {turbo_method: :delete, turbo_confirm: 'Are you sure?'}, class:"btn bg-gradient-danger ms-auto" ) do %>
                                              <i class="fa fa-trash-o"></i>&nbsp;&nbsp;Delete Round <%=round%>
                                        <%end%>
                                      <%end%>
                                    </div>
                                  </div>

                                  <div class="container" id="container-pb-<%=round%>">
                                    <%  @event.matches.where(round: round).sort_by{|m| m.id}.each_with_index do |match, index| %>
                                      
                                        <%if (index%3) == 0 %>
                                          <div class="row">
                                        <%end%>                                        
                                          <div class="col-sm" id="card-1-tab-<%=round%>-m<%=index%>">
                                          <div class="card" id="crd-1-tab-<%=round%>-m<%=index%>">
                                            <div class="card-body pt-2" id="cb-card-1-tab-<%=round%>-m<%=index%>">
                                              <div class="container" id="contaiiner-cb-card-1-tab-<%=round%>-m<%=index%>">
                                                <div class="card-body pt-2" id="cb-space-card-1-tab-<%=round%>-m<%=index%>">
                                                </div>
                                                <!-- TEAM 1  - CARD N - TAB N -->
                                                <div class="row" id="row-crd-rnd-<%=round%>-<%=index%>-t1">
                                                <p class = "h7 text-center" >Match: &nbsp; <%=match.id%></p> 
                                                  <div class="col-sm" id="div-pic-r-<%=round%>player-<%=match.playerOne%>-t1">
                                                    
                                                    <%if !Player.find(match.playerOne).image_attachment.nil?%>
                                                      <%= image_tag(Player.find(match.playerOne).image, class: "avatar avatar-sm me-3")%>
                                                    <%else%>
                                                      <%= image_tag("blank-profile-picture.jpg", class: "avatar avatar-sm me-3")%>
                                                    <%end%>
                                                  </div>
                                                  <div class="col-sm">
                                                    <div class="progress-wrapper">
                                                      <div class="progress-info">
                                                        <div class="progress-percentage">
                                                          <span class="text-sm font-weight-bold">
                                                            <p class="h">
                                                              <% case match.match_result %>
                                                                <%when 0%>                                                        
                                                                  <span class="badge badge-pill bg-gradient-info"><%=match.pointsOne%> points</span>
                                                                <%when 1%>                                                      
                                                                  <span class="badge badge-pill bg-gradient-success"><%=match.pointsOne%> points</span>                                                        
                                                                <%when 2%>
                                                                  <span class="badge badge-pill bg-gradient-danger"><%=match.pointsOne%> points</span>
                                                                <%when -1%>
                                                                  <span class="badge badge-pill bg-gradient-secondary">-</span>
                                                              <%end%>
                                                            </p>                                                                                                                
                                                          </span>
                                                        </div>
                                                      </div>                                                    
                                                    </div>
                                                  </div>
                                                  <div class="col-sm" id="div-pic-r-<%=round%>player-<%=match.playerTwo%>-t1">
                                                    <%if !Player.find(match.playerTwo).image_attachment.nil?%>
                                                      <%= image_tag(Player.find(match.playerTwo).image, class: "avatar avatar-sm me-3")%>
                                                    <%else%>
                                                      <%= image_tag("blank-profile-picture.jpg", class: "avatar avatar-sm me-3")%>
                                                    <%end%>
                                                  </div>
                                                </div>
                                                <div class="row" id="row-crd-names-<%=round%>-m-<%=match.playerOne%>-t1">
                                                  <div class="col-sm">                                          
                                                    <h6 class="mb-0 text-xs"><%= Player.find(match.playerOne).name.titleize%></h6>
                                                  </div>
                                                  <div class="col-sm-3">                                                    
                                                  </div>
                                                  <div class="col-sm">
                                                    <h6 class="mb-0 text-xs"><%=Player.find(match.playerTwo).name.titleize%></h6>
                                                  </div>                                                  
                                                </div>
                                                <div class="card-body pt-2-versus-<%=round%>-m-<%=index%>-t1">
                                                  <h6 class="text-sm text-center">VS</h6>
                                                </div>


                                                <!-- TEAM 2  - CARD N - TAB N -->
                                                <div class="row" id="row-crd-rnd-<%=round%>-<%=index%>-t2">
                                                  <div class="col-sm" id="div-pic-r-<%=round%>player-<%=match.playerThree%>-t2">
                                                    <%if !Player.find(match.playerThree).image_attachment.nil?%>
                                                      <%= image_tag(Player.find(match.playerThree).image, class: "avatar avatar-sm me-3")%>
                                                    <%else%>
                                                      <%= image_tag("blank-profile-picture.jpg", class: "avatar avatar-sm me-3")%>
                                                    <%end%>
                                                  </div>
                                                  <div class="col-sm">
                                                    <div class="progress-wrapper">
                                                      <div class="progress-info">
                                                        <div class="progress-percentage">
                                                          <span class="text-sm font-weight-bold">
                                                            <p class="h6">
                                                              <% case match.match_result %>
                                                                <%when 0%>                                                        
                                                                  <span class="badge badge-pill bg-gradient-info"><%=match.pointsThree%> points</span>
                                                                <%when 1%>                                                      
                                                                  <span class="badge badge-pill bg-gradient-danger"><%=match.pointsThree%> points</span>                                                        
                                                                <%when 2%>
                                                                  <span class="badge badge-pill bg-gradient-success"><%=match.pointsThree%> points</span>
                                                                <%when -1%>
                                                                  <span class="badge badge-pill bg-gradient-secondary">-</span>
                                                              <%end%>
                                                            </p>
                                                          </span>
                                                        </div>
                                                      </div>                                                    
                                                    </div>
                                                  </div>
                                                  <div class="col-sm" id="div-pic-r-<%=round%>player-<%=match.playerFour%>-t2">
                                                    <%if !Player.find(match.playerFour).image_attachment.nil?%>
                                                      <%= image_tag(Player.find(match.playerFour).image, class: "avatar avatar-sm me-3")%>
                                                    <%else%>
                                                      <%= image_tag("blank-profile-picture.jpg", class: "avatar avatar-sm me-3")%>
                                                    <%end%>
                                                  </div>
                                                </div>

                                                <div class="row" id="row-crd-names-<%=round%>-m-<%=match.playerThree%>-t2">
                                                    <div class="col-sm">                                          
                                                      <h6 class="mb-0 text-xs"><%=Player.find(match.playerThree).name.titleize%></h6>
                                                    </div>
                                                    <div class="col-sm-3">                                                    
                                                    </div>
                                                    <div class="col-sm">
                                                      <h6 class="mb-0 text-xs"><%=Player.find(match.playerFour).name.titleize%></h6>
                                                    </div>                                                  
                                                </div>
                                                <div class="card-body pt-2" id="cb-space-final-<%=round%>-<%=index%>-t2">
                                                </div>


                                                <div class="row">                                        
                                                  <div class="col-sm text-center">
                                                    <% if @event.status.upcase != "CLOSED"%>
                                                      <%= link_to(edit_match_path(match,round), class: "btn bg-gradient-primary ms-auto", data: { turbo_frame: "remote_modal" }) do %>
                                                            <i class="fa fa-edit"></i>&nbsp;&nbsp;Edit Results
                                                      <%end%>
                                                    <%end%>
                                                  </div>
                                                </div>
                                              </div>
                                            </div>
                                          </div>
                                        </div>
                                        <%if (@event.matches.where(round: round).count - 1) == index%>
                                          </div>
                                          <div class="d-flex px-2 py-1"></div>                                        
                                        <%elsif (index%2)==0 && (index>0) %>
                                          </div>
                                          <div class="d-flex px-2 py-1"></div>
                                        <%end%>
                                    <%end%>
                                  </div>                                
                                </div>
                              </div>                            
                            <%end%>
                          </div>
                        </div>
                    </div>
                  </div>
                </div>
            </div>
          </div>
    </div>
</div>